Name:		viaideinfo
Version:	0.5
Release:	4%{?dist}
Summary:	Displays the information of installed VIA IDE controllers 
Group:		Applications/System
License:	GPLv2+
URL:		http://reactivated.net/software/viaideinfo

Source0:	http://reactivated.net/software/viaideinfo/viaideinfo-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	pciutils-devel >= 2.2.0  
BuildRequires:	zlib-devel

# Taken from the README
%description
This command-line application identifies VIA IDE controllers installed in the
computer, and displays various information/statistics regarding these. This
does not depend on the via82cxxx kernel IDE driver, and will work regardless of
whether it is present or not. All this information used to be available through
/proc/ide/via; however this file was removed in Linux 2.6.15 to reduce the
complexity of the IDE driver. Since it performs some basic port I/O, it must be
run as root.

Supported devices:
	VT82C576, VT82C586, VT82C586A, VT82C586B, VT82C596A, VT82C596B,
	VT82C686, VT82C686A, VT82C686B, VT8231, VT8233, VT8233C, VT8233A,
	VT8235, VT8237, VT8237A, VT8251, VT6410, VT8237S, CX700


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS  
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8.gz


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5-3
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-2
- Autorebuild for GCC 4.3

* Wed Jan 31 2007 Peter Gordon <peter@thecodergeek.com> - 0.5-1
- Update to new upstream release (0.5). This adds support for SATA_EIDE
  controllers and VT8237S, CX700 southbridges.
- Added zlib-devel to BuildRequires.
- Fix minor grammar error in prior %%changelog entry. 

* Sat Oct 21 2006 Peter Gordon <peter@thecodergeek.com> - 0.4-3
- Bump release to fix CVS tagging issue

* Sat Oct 21 2006 Peter Gordon <peter@thecodergeek.com> - 0.4-2
- Enable building on x86_64. (It works fine on x86-64 Via-based systems too,
  according to an email from the upstream maintainer.)

* Tue Oct 17 2006 Peter Gordon <peter@thecodergeek.com> - 0.4-1
- Initial packaging
